Bug 961676 - [abrt] midori-0.5.0-1.fc19: g_type_check_instance_cast: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.5.0-1.fc19: g_type_check_instance_cast: Process /usr/bin/mido...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:921aeb31bdeff7a7647c2aa04c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 05:04 EDT by Krzysztof Krakowiak
Modified: 2015-02-17 10:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:13:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.99 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: core_backtrace (4.13 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: dso_list (17.86 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: environ (2.30 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: maps (142.80 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: open_fds (2.29 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: proc_pid_status (999 bytes, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: var_log_messages (400 bytes, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details
File: xsession_errors (11.17 KB, text/plain)
2013-05-10 05:04 EDT, Krzysztof Krakowiak
no flags Details

  None (edit)
Description Krzysztof Krakowiak 2013-05-10 05:04:27 EDT
Description of problem:
I was opening new tabs/windows by clicking links over qt-project.org. Nothing special.

Version-Release number of selected component:
midori-0.5.0-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        midori
crash_function: g_type_check_instance_cast
executable:     /usr/bin/midori
kernel:         3.9.0-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4033
 #1 midori_browser_save_resources at ../midori/midori-browser.c:1119
 #2 midori_browser_save_uri at ../midori/midori-browser.c:1208
 #7 _gtk_action_emit_activate at gtkaction.c:795
 #8 closure_accel_activate at gtkaction.c:1766
 #13 gtk_accel_group_activate at gtkaccelgroup.c:891
 #14 gtk_accel_groups_activate at gtkaccelgroup.c:928
 #15 gtk_window_activate_key at gtkwindow.c:8355
 #16 sokoke_window_activate_key at ../midori/sokoke.c:889
 #17 midori_browser_key_press_event at ../midori/midori-browser.c:1890
Comment 1 Krzysztof Krakowiak 2013-05-10 05:04:30 EDT
Created attachment 745999 [details]
File: backtrace
Comment 2 Krzysztof Krakowiak 2013-05-10 05:04:33 EDT
Created attachment 746000 [details]
File: cgroup
Comment 3 Krzysztof Krakowiak 2013-05-10 05:04:35 EDT
Created attachment 746001 [details]
File: core_backtrace
Comment 4 Krzysztof Krakowiak 2013-05-10 05:04:38 EDT
Created attachment 746002 [details]
File: dso_list
Comment 5 Krzysztof Krakowiak 2013-05-10 05:04:40 EDT
Created attachment 746003 [details]
File: environ
Comment 6 Krzysztof Krakowiak 2013-05-10 05:04:42 EDT
Created attachment 746004 [details]
File: limits
Comment 7 Krzysztof Krakowiak 2013-05-10 05:04:49 EDT
Created attachment 746005 [details]
File: maps
Comment 8 Krzysztof Krakowiak 2013-05-10 05:04:52 EDT
Created attachment 746006 [details]
File: open_fds
Comment 9 Krzysztof Krakowiak 2013-05-10 05:04:54 EDT
Created attachment 746007 [details]
File: proc_pid_status
Comment 10 Krzysztof Krakowiak 2013-05-10 05:04:56 EDT
Created attachment 746008 [details]
File: var_log_messages
Comment 11 Krzysztof Krakowiak 2013-05-10 05:04:58 EDT
Created attachment 746009 [details]
File: xsession_errors
Comment 12 Lorenzo Calabrese 2013-08-10 09:57:04 EDT
reproductible issue : yes

how :

in 
	CPU:
	- AMD Athlon(tm) II X2 4450e Processor
	- Architecture:          x86_64
	- CPU op-mode(s):        32-bit, 64-bit
	- Byte Order:            Little Endian
	- CPU(s):                2
	- CPU MHz:               800.000
	RAM
	- 10 GB RAM fresh and full tested

	DUAL SCREEN on Advanced Micro Devices, Inc. [AMD/ATI] RV770 HDMI Audio [Radeon HD 4850
	on DVI on each connector
	Screen 0: minimum 320 x 200, current 2176 x 864, maximum 8192 x 8192
	DVI-0 connected 1152x864+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
	DIN disconnected (normal left inverted right x axis y axis)
	DVI-1 connected 1024x768+1152+96 (normal left inverted right x axis y axis) 0mm x 0mm

	F19 x86_64
	XFCE
	midori midori_0.5.4_all_

trying to save a web page
	http://www.ibm.com/developerworks/linux/library/l-sed1/index.html

hit CTTRL-S for save
creating in 
	~/Download's dir 
the subdir
	'SED REMEMBERS'

hit the 
	'SAVE' button 

and voilà
----------------------------------------------------------------------------------------------

Sorry I just CAN'T do more backtrace or debug my self now.

I am doing THAT fresh install I was wishing from long ago and had always post ponned...
HW crash turned my dream true ...

I am reinstalling tons of packages and remaster hashing (tripwire and aide) all the system, 
so not a good time to backtrace.

But...
Except the F... GDM that peace me off (it just have stopped to start correctly the DVI-0 monitor (IN MULTIHEAD) 
with the right Hfreq and let it OUT-OF-RANGE
In F18 it was working...

DVI-0 have THE GDM greeter / logging screen
login work but at BLIND (dark grey screen)

Spent N hours trying all king of workarounds -> no success -> LIGHTDM do the job without problem (not so cute but works)

ALL the system works QUITE fine

----------------------------------------------------------------------------------------------

IMPORTANT!!!

Saving other webpages jsut work fine
Saving with named with white spaces in it or not does not seems to differ result
Saving the indicated webpage ALWAYS crash midori

I HAVE NOT TOOK A LOOK IN THE WEB PAGE CODE !!! but it should be interesting ...

----------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------

more info, if needed, just ask for.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: g_type_check_instance_cast
executable:     /usr/bin/midori
kernel:         3.10.4-300.fc19.x86_64
package:        midori-0.5.4-1.fc19
reason:         Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=4055989273b6df3b6bc75e6f20aa0925d5fc01f0
runlevel:       N 5
uid:            2000
Comment 13 Fedora End Of Life 2015-01-09 13:06:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:13:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.